Bug 668568 - [abrt] system-config-printer-1.2.95-4.fc15: jobviewer.py:71:__init__:RuntimeError: failed to connect to server
Summary: [abrt] system-config-printer-1.2.95-4.fc15: jobviewer.py:71:__init__:RuntimeE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:87446533
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-10 19:51 UTC by Nicolas Mailhot
Modified: 2011-03-19 10:33 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.2.7-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-15 21:56:34 UTC


Attachments (Terms of Use)
File: backtrace (481 bytes, text/plain)
2011-01-10 19:51 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2011-01-10 19:51:06 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: python /usr/share/system-config-printer/scp-dbus-service.py
component: system-config-printer
executable: /usr/share/system-config-printer/scp-dbus-service.py
kernel: 2.6.37-2.fc15.x86_64
package: system-config-printer-1.2.95-4.fc15
reason: jobviewer.py:71:__init__:RuntimeError: failed to connect to server
release: Fedora release 15 (Rawhide)
How to reproduce: while updating cups
time: 1294685168
uid: 500

backtrace
-----
jobviewer.py:71:__init__:RuntimeError: failed to connect to server

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 1747, in on_refresh
    self.printer_uri_index = PrinterURIIndex ()
  File "/usr/share/system-config-printer/jobviewer.py", line 71, in __init__
    c = cups.Connection ()
RuntimeError: failed to connect to server

Local variables in innermost frame:
self: <jobviewer.PrinterURIIndex instance at 0x29403b0>
names: []

Comment 1 Nicolas Mailhot 2011-01-10 19:51:09 UTC
Created attachment 472676 [details]
File: backtrace

Comment 3 Fedora Update System 2011-02-09 16:33:45 UTC
system-config-printer-1.2.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.7-1.fc14

Comment 4 Fedora Update System 2011-02-09 16:43:51 UTC
system-config-printer-1.2.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.7-1.fc13

Comment 5 Fedora Update System 2011-02-09 20:16:50 UTC
system-config-printer-1.2.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.7-1.fc14

Comment 6 Fedora Update System 2011-03-15 21:55:40 UTC
system-config-printer-1.2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-03-19 10:33:32 UTC
system-config-printer-1.2.7-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.